﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Description Model DataBaseSecurity
* @Schema dbo
* @Table DataBaseSecurity
*/

using SnapObjects.Data;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Appeon.Models
{
    /// <summary>
    /// Class that represents a Model of the table DataBaseSecurity.
    /// </summary>
    [Table("DataBaseSecurity", Schema = "dbo")]
    [UpdateWhereStrategy(UpdateWhereStrategy.KeyColumns)]
    public class DataBaseSecuritySQL
    {
        /// <summary>
        /// The [Key] ConnectionID property represents the ConnectionID column in the DataBaseSecurity table.
        /// </summary>	
        [Key]
        [SqlColumn("ConnectionID")]
        public String ConnectionID { get; set; }

        /// <summary>
        /// The DataBaseConnection property represents the DataBaseConnection column in the DataBaseSecurity table.
        /// </summary>	
        [SqlColumn("DataBaseConnection")]
        public String DataBaseConnection { get; set; }

        /// <summary>
        /// The Status property represents the Status column in the DataBaseSecurity table.
        /// </summary>	
        [SqlColumn("Status")]
        public Byte Status { get; set; }

    }
}

