﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 05/07/2019
* @Description Model PERSONDEMO
* @Schema DBO
* @Table PERSONDEMO
*/

using SnapObjects.Data;
using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Appeon.Models
{
    /// <summary>
    /// Class that represents a Model of the table PERSONDEMO.
    /// </summary>
    [Table("PERSONDEMO", Schema = "DBO")]
    [UpdateWhereStrategy(UpdateWhereStrategy.KeyColumns)]
    public class PersonDemoORA
    {
        /// <summary>
        /// The [Key] PERSONID property represents the PERSONID column in the PERSONDEMO table.
        /// </summary>	
        [Key]
        [SqlColumn("PERSONID")]
        public Decimal PersonID { get; set; }

        /// <summary>
        /// The TITLE property represents the TITLE column in the PERSONDEMO table.
        /// </summary>	
        [SqlColumn("TITLE")]
        public String Title { get; set; }

        /// <summary>
        /// The FIRSTNAME property represents the FIRSTNAME column in the PERSONDEMO table.
        /// </summary>	
        [SqlColumn("FIRSTNAME")]
        public String FirstName { get; set; }

        /// <summary>
        /// The MIDDLENAME property represents the MIDDLENAME column in the PERSONDEMO table.
        /// </summary>	
        [SqlColumn("MIDDLENAME")]
        public String MiddleName { get; set; }

        /// <summary>
        /// The LASTNAME property represents the LASTNAME column in the PERSONDEMO table.
        /// </summary>	
        [SqlColumn("LASTNAME")]
        public String LastName { get; set; }

    }
}

