﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Description Interface IDSSQLDataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using PowerBuilder.Data;
using System;

namespace Appeon.Services.NETDataStore
{
    /// <summary>
    /// IDSSQLDataBaseSecurityService Interface
    /// </summary>
    public interface IDSSQLDataBaseSecurityService
    {


        /// <summary>
        /// Retrieves data according to the SQL query defined in a DataBaseSecurity class.
        /// </summary>
        /// <param name="ConnectionID">Primary key value that you want to use as retrieval arguments in the SQL SELECT statement defined in DataBaseSecurity class.</param>
        /// <returns>Returns a DataBaseSecurity class</returns>
        IDataStore RetrieveByKey(String ConnectionID);


    }
}

