﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Descripción Service DSSQLDataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using PowerBuilder.Data;
using System;

namespace Appeon.Services.NETDataStore.Impl
{
    //Appeon DSSQLDataBaseSecurityService Service for the NetDataStore
    /// <summary>
    /// DataBaseSecurityService Class implement the interface IDataBaseSecurityService
    /// </summary>
    public class DSSQLDataBaseSecurityService : IDSSQLDataBaseSecurityService
    {
        /// <summary>
        /// Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.
        /// </summary>
        private readonly DataContextDefault _dataContext;

        /// <summary>
        /// Constructor of DataBaseSecurityService Class
        /// </summary>
        /// <param name="dataContext">Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.</param>
        public DSSQLDataBaseSecurityService(DataContextDefault dataContext)
        {
            //Initialize the dataContext Variable
            _dataContext = dataContext;
        }


        public IDataStore RetrieveByKey(String ConnectionID)
        {
            var dataStore = new DataStore("d_databasesecurity", _dataContext);

            dataStore.Retrieve(ConnectionID);

            return dataStore;

        }


    }
}

