﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 18/06/2019
* @Description Interface IMSORAPersonDemoService
* @Schema Person
* @Table PersonDemo
*/

using Appeon.Models;
using PowerBuilder.Data;
using SnapObjects.Data;
using System;
using System.Collections.Generic;

namespace Appeon.Services.ModelStore
{
    /// <summary>
    /// IMMORAPersonDemoService Interface
    /// </summary>
    public interface IMSORAPersonDemoService
    {
        /// <summary>
        /// Retrieves data according to the SQL query defined in a PersonDemo class.
        /// </summary>
        /// <returns>Returns a List of PersonDemoORA</returns>	
        IModelStore<PersonDemoORA> Retrieve();


        /// <summary>
        /// Tracks one or more database table operations (insert, update or delete).
        /// </summary>
        /// <param name="models">A sequence of IModelStore&lt;PersonDemoORA&gt; objects containing data and state.</param>
        /// <returns>Returns the number of rows that are affected.</returns>
        Int32 Update(IModelStore<PersonDemoORA> models);
        
  
        Int32 MaxId();

        String GetConnection();
    }
}

