﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Description Interface IMSSQLDataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using Appeon.Models;
using PowerBuilder.Data;
using System;

namespace Appeon.Services.ModelStore
{
    /// <summary>
    /// IMSSQLDataBaseSecurityService Interface
    /// </summary>
    public interface IMSSQLDataBaseSecurityService
    {


        /// <summary>
        /// Retrieves data according to the SQL query defined in a DataBaseSecurity class.
        /// </summary>
        /// <param name="ConnectionID">Primary key value that you want to use as retrieval arguments in the SQL SELECT statement defined in DataBaseSecurity class.</param>
        /// <returns>Returns a DataBaseSecuritySQL class</returns>
        IModelStore<DataBaseSecuritySQL>  RetrieveByKey(String ConnectionID);


    }
}

