﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 18/06/2019
* @Description Interface IPersonDemoService
* @Schema Person
* @Table PersonDemo
*/

using Appeon.Models;
using PowerBuilder.Data;
using System;

namespace Appeon.Services.ModelStore
{
    /// <summary>
    /// IMSSQLPersonDemoService Interface
    /// </summary>
    public interface IMSSQLPersonDemoService
    {
        /// <summary>
        /// Retrieves data according to the SQL query defined in a PersonDemo class.
        /// </summary>
        /// <returns>Returns a List of PersonDemoSQL</returns>	
        IModelStore<PersonDemoSQL> Retrieve();

        /// <summary>
        /// Tracks one or more database table operations (insert, update or delete).
        /// </summary>
        /// <param name="models">A sequence of IModelStore&lt;PersonDemoSQL&gt; objects containing data and state.</param>
        /// <returns>Returns the number of rows that are affected.</returns>
        Int32 Update(IModelStore<PersonDemoSQL> models);

        Int32 MaxId();

        String GetConnection();
    }
}

