﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Descripción Service MSSQLDataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using Appeon.Models;
using PowerBuilder.Data;
using System;

namespace Appeon.Services.ModelStore.Impl
{
    //Appeon DataBaseSecurity Service for the ModelStore
    /// <summary>
    /// DataBaseSecurityService Class implement the interface IMSSQLDataBaseSecurityService
    /// </summary>
    public class MSSQLDataBaseSecurityService : IMSSQLDataBaseSecurityService
    {
        /// <summary>
        /// Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.
        /// </summary>
        private readonly DataContextDefault _dataContext;

        /// <summary>
        /// Constructor of DataBaseSecurityService Class
        /// </summary>
        /// <param name="dataContext">Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.</param>
        public MSSQLDataBaseSecurityService(DataContextDefault dataContext)
        {
            //Initialize the dataContext Variable
            _dataContext = dataContext;
        }


        /// <summary>
        /// Retrieves data according to the SQL query defined in a DataBaseSecurity class.
        /// </summary>
        /// <param name="ConnectionID">Primary key value that you want to use as retrieval arguments in the SQL SELECT statement defined in DataBaseSecurity class.</param>
        /// <returns>Returns a DataBaseSecurity class</returns>
        public IModelStore<DataBaseSecuritySQL> RetrieveByKey(String ConnectionID)
        {
            var modelStore = new ModelStore<DataBaseSecuritySQL>();

            modelStore.RetrieveByKey(_dataContext, ConnectionID);

            return modelStore;

        }

     
    }
}

