﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 18/06/2019
* @Description Interface IMMORAPersonDemoService
* @Schema Person
* @Table PersonDemo
*/

using Appeon.Models;
using SnapObjects.Data;
using System;
using System.Collections.Generic;

namespace Appeon.Services.SqlModelMapper
{
    /// <summary>
    /// IMMORAPersonDemoService Interface
    /// </summary>
    public interface IMMORAPersonDemoService
    {
        /// <summary>
        /// Retrieves data according to the SQL query defined in a PersonDemo class.
        /// </summary>
        /// <returns>Returns a List of PersonDemoORA</returns>	
        List<PersonDemoORA> Retrieve();


        /// <summary>
        /// Tracks one or more database table operations (insert, update or delete).
        /// </summary>
        /// <param name="models">A sequence of IEnumerable&lt;IModelEntry&lt;PersonDemoORA&gt;&gt; objects containing data and state.</param>
        /// <returns>Returns the number of rows that are affected.</returns>
        Int32 TrackRange(IEnumerable<IModelEntry<PersonDemoORA>> models);
        
  
        Int32 MaxId();

        String GetConnection();
    }
}

