﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Description Interface IMMSQLDataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using Appeon.Models;
using System;

namespace Appeon.Services.SqlModelMapper
{
    /// <summary>
    /// IMMSQLDataBaseSecurityService Interface
    /// </summary>
    public interface IMMSQLDataBaseSecurityService
    {


        /// <summary>
        /// Retrieves data according to the SQL query defined in a DataBaseSecuritySQL class.
        /// </summary>
        /// <param name="ConnectionID">Primary key value that you want to use as retrieval arguments in the SQL SELECT statement defined in DataBaseSecurity class.</param>
        /// <returns>Returns a DataBaseSecuritySQL class</returns>
        DataBaseSecuritySQL RetrieveByKey(String ConnectionID);


    }
}

