﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 18/06/2019
* @Description Interface IMMSQLPersonDemoService
* @Schema Person
* @Table PersonDemo
*/

using Appeon.Models;
using SnapObjects.Data;
using System;
using System.Collections.Generic;

namespace Appeon.Services.SqlModelMapper
{
    /// <summary>
    /// IMMSQLPersonDemoService Interface
    /// </summary>
    public interface IMMSQLPersonDemoService
    {
        /// <summary>
        /// Retrieves data according to the SQL query defined in a PersonDemoSQL class.
        /// </summary>
        /// <returns>Returns a List of PersonDemoSQL</returns>	
        List<PersonDemoSQL> Retrieve();


        /// <summary>
        /// Tracks one or more database table operations (insert, update or delete).
        /// </summary>
        /// <param name="models">A sequence of IEnumerable&lt;IModelEntry&lt;PersonDemoSQL&gt;&gt; objects containing data and state.</param>
        /// <returns>Returns the number of rows that are affected.</returns>
        Int32 TrackRange(IEnumerable<IModelEntry<PersonDemoSQL>> models);
        
         
        Int32 MaxId();

        String GetConnection();

    }
}

