﻿/**
* @author Juan Alejandro Lam López
* @version 1.0
* @since 04/07/2019
* @Descripción Service DataBaseSecurityService
* @Schema dbo
* @Table DataBaseSecurity
*/

using Appeon.Models;
using System;

namespace Appeon.Services.SqlModelMapper.Impl
{
    //Appeon MMSQLDataBaseSecurityService Service for the ModelMapper
    /// <summary>
    /// DataBaseSecurityService Class implement the interface IMMSQLDataBaseSecurityService
    /// </summary>
    public class MMSQLDataBaseSecurityService : IMMSQLDataBaseSecurityService
    {
        /// <summary>
        /// Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.
        /// </summary>
        private readonly DataContextDefault _dataContext;

        /// <summary>
        /// Constructor of MMSQLDataBaseSecurityService Class
        /// </summary>
        /// <param name="dataContext">Represents the entry to the database, which contains the database connection information, methods for manipulating database transactions, and other easy-to-use properties.</param>
        public MMSQLDataBaseSecurityService(DataContextDefault dataContext)
        {
            //Initialize the dataContext Variable
            _dataContext = dataContext;
        }



        /// <summary>
        /// Retrieves data according to the SQL query defined in a DataBaseSecurity class.
        /// </summary>
        /// <param name="ConnectionID">Primary key value that you want to use as retrieval arguments in the SQL SELECT statement defined in DataBaseSecuritySQL class.</param>
        /// <returns>Returns a DataBaseSecuritySQL class</returns>
        public DataBaseSecuritySQL RetrieveByKey(String ConnectionID)
        {
            //Load the Data from table DataBaseSecurity by primary key in the SqlModelMapper and return them as a class DataBaseSecurity
            return _dataContext.SqlModelMapper.LoadByKey<DataBaseSecuritySQL>(ConnectionID).FirstOrDefault();
        }


    }
}

